develooper Front page | perl.perl5.porters | Postings from April 2006

Re: Smoke [5.9.4] 28009 FAIL(Xm) irix 6.2 (IP22/1 cpu)

From:
Abe Timmerman
Date:
April 30, 2006 03:36
Subject:
Re: Smoke [5.9.4] 28009 FAIL(Xm) irix 6.2 (IP22/1 cpu)
Message ID:
200604301235.32544.abe@ztreet.demon.nl
Op een mooie winterdag (Sunday 30 April 2006 11:52),schreef  Abe Timmerman:
> Automated smoke report for 5.9.4 patch 28009
> idefix: MIPS R4600 Processor Chip Revision: 2.0 (133 MHZ) (IP22/1 cpu)
>     on        irix - 6.2
>     using     gcc version 2.7.2.2
>     smoketime 1 day 2 hours 1 minute (average 6 hours 30 minutes)
>
> Summary: FAIL(Xm)
>
> O = OK  F = Failure(s), extended report at the bottom
> X = Failure(s) under TEST but not under harness
> ? = still running or test results not (yet) available
> Build failures during:       - = unknown or N/A
> c = Configure, m = make, M = make (after miniperl), t = make test-prep
>
>    28009     Configuration (common) -Dcc=gcc
> ----------- ---------------------------------------------------------
> X X m -
> X X m -     -Duse64bitint

From the smokelog:

Configuration: -Dusedevel -Dcc=gcc -DDEBUGGING
------------------------------------------------------------------------------
make distclean ...
Copy Policy.sh ...
Configure ...ld: WARNING 84: /usr/gnu/lib/gcc-lib/mips-sgi-irix5.3/2.7.2.2/
libgcc.a is not used for resolving any symbol.
ld: WARNING 84: /usr/gnu/lib/gcc-lib/mips-sgi-irix5.3/2.7.2.2/libgcc.a is not 
used for resolving any symbol.
./Configure[4401]: cc:  not found
ld: WARNING 84: /usr/gnu/lib/gcc-lib/mips-sgi-irix5.3/2.7.2.2/libgcc.a is not 
used for resolving any symbol.
ld: WARNING 84: /usr/gnu/lib/gcc-lib/mips-sgi-irix5.3/2.7.2.2/libgcc.a is not 
used for resolving any symbol.
cc1: Invalid option `-Wdeclaration-after-statement'

make ...          CCCMD =  gcc -DPERL_CORE -c -DPERL_PATCHNUM=28009 
-DDEBUGGING -D_BSD_TYPES -D_BSD_TIME -DIRIX32_SEMUN_BROKEN_BY_GCC -DDEBUGGING 
-pipe -I/usr/local/include -DLANGUAGE_C -O3 -g  -Wall
          CCCMD =  gcc -DPERL_CORE -c -DPERL_PATCHNUM=28009 -DDEBUGGING 
-D_BSD_TYPES -D_BSD_TIME -DIRIX32_SEMUN_BROKEN_BY_GCC -DDEBUGGING -pipe -I/
usr/local/include -DLANGUAGE_C -O3 -g  -Wall
gv.c: In function `Perl_gv_fetchmethod_autoload':
gv.c:559: invalid use of non-lvalue array
gv.c: In function `Perl_gv_fullname4':
gv.c:1268: invalid use of non-lvalue array
gv.c: In function `Perl_gv_check':
gv.c:1347: invalid use of non-lvalue array
gv.c: In function `Perl_Gv_AMupdate':
gv.c:1519: invalid use of non-lvalue array
gv.c:1546: invalid use of non-lvalue array
Unable to make perl in this configuration


Good luck,

Abe
-- 
Adding a -w warning for the "pseudohashes are going away, repent and give away 
your all wordly possessions" to 5.8.1 is okay, but what I don't understand is 
why Sarathy is thinking people would be using -w that much more than they 
would be reading the 5.8.0 announcement? :-)
                                   -- Jarkko Hietaniemi on p5p @ 2002-09-06



nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About